precision mediump float;
varying lowp vec4 v_color;
varying lowp vec4 v_outlineColor;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;

void main() {	
	float smoothing = 1.0/16.0;
	float outlineWidth = 3.5/16.0;
	float outerEdgeCenter = 0.5 - outlineWidth;
	float distance = texture2D(u_texture, v_texCoord).a;
	lowp float alpha = smoothstep(outerEdgeCenter - smoothing, outerEdgeCenter + smoothing, distance);
	lowp float border = smoothstep(0.5 - smoothing, 0.5 + smoothing, distance);
	gl_FragColor = vec4( mix(v_outlineColor.rgb, v_color.rgb, border),  alpha * v_color.a);
}